
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PowerDesigner从Sqlserver中反转为带注释的字典及快捷键操作 / 憋错料</title>

    <meta name="description" content="PowerDesigner从Sqlserver中反转为带注释的字典及快捷键操作 PowerDesigner的操作经常忘记,所以把常用的功能记录下来备忘. 1.修改反转过来的字段 PowerDesigner从数据库反转的时候,默认不带注释,需要先进行修改. 输入如下脚本: {OWNER, TABLE, S, COLUMN, DTTPCODE, LENGTH, SIZE, PREC, COMPUTE, NOTNULL, IDENTITY, DOMAIN, DEFAULT, COMMENT, ExtIdentityIncrement, ExtIdentitySeed} selec">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">PowerDesigner从Sqlserver中反转为带注释的字典及快捷键操作</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>PowerDesigner的操作经常忘记，所以把常用的功能记录下来备忘。</p>
<h2>1、修改反转过来的字段</h2>
<p>PowerDesigner从数据库反转的时候，默认不带注释，需要先进行修改。</p>
<p><img src="//images2015.cnblogs.com/blog/413851/201607/413851-20160730182803794-1193086154.jpg" /></p>
<p><img src="//images2015.cnblogs.com/blog/413851/201607/413851-20160730182817434-423254773.jpg" /></p>
<p>输入如下脚本：</p>
<pre>{OWNER, TABLE, S, COLUMN, DTTPCODE, LENGTH, SIZE, PREC, COMPUTE, NOTNULL, IDENTITY, DOMAIN, DEFAULT, COMMENT, ExtIdentityIncrement, ExtIdentitySeed}

select
u.name,
o.name,
c.colid,
c.name,
case when (s.usertype &lt; 100) then s.name else x.name end,
c.prec,
c.length,
c.scale,
z.text ,
case (c.status &amp; 8) when 8 then ‘NULL‘ else ‘NOTNULL‘ end,
case (c.status &amp; 128) when 128 then ‘identity‘ else ‘‘ end,
case when (s.usertype &lt; 100) then ‘‘ else s.name end,
v.text,
CONVERT(varchar, ISNULL(p.[value], ‘‘)) AS text,
case (c.status &amp; 128) when 128 then ident_incr(u.name + ‘.‘ + o.name) else null end,
case (c.status &amp; 128) when 128 then ident_seed(u.name + ‘.‘ + o.name) else null end
from
dbo.sysusers u
join dbo.sysobjects o on (o.uid = u.uid and o.type in (‘U‘, ‘S‘, ‘V‘))
join dbo.syscolumns c on (c.id = o.id)
left outer join sys.extended_properties p on c.id = p.major_id and c.colid = p.minor_id
left outer join dbo.systypes s on (c.usertype = s.usertype and s.xtype = c.xtype and c.usertype &gt;= 0)
left outer join dbo.systypes x on (s.usertype &gt; 100 and s.xtype = x.xtype and x.usertype not in (0, 18, 80) and x.usertype &lt; 100)
left outer join dbo.syscomments z on (z.id = o.id and z.number = c.colid)
left outer join dbo.sysobjects d on (d.id = c.cdefault and d.category &lt;&gt; 0)
left outer join dbo.syscomments v on (v.id = d.id)
where 1 = 1
[ and u.name = %.q:OWNER%]
[ and o.name=%.q:TABLE%]
order by 1, 2, 3
</pre>

<h2>2、配置PowerDesigner数据库连接</h2>
<p><img src="//images2015.cnblogs.com/blog/413851/201607/413851-20160730183055559-154443244.jpg" /><img src="//images2015.cnblogs.com/blog/413851/201607/413851-20160730183105653-980023863.jpg" /><img src="//images2015.cnblogs.com/blog/413851/201607/413851-20160730183115216-12553514.jpg" /><img src="//images2015.cnblogs.com/blog/413851/201607/413851-20160730183123716-226446911.jpg" /><img src="//images2015.cnblogs.com/blog/413851/201607/413851-20160730183141950-93454978.jpg" /></p>
<p>下一步，点击&ldquo;完成&rdquo;&mdash;&mdash;&ldquo;测试数据库&rdquo;&mdash;&mdash;返回OK。</p>
<p><img src="//images2015.cnblogs.com/blog/413851/201607/413851-20160730183155263-1071040908.jpg" /></p>
<h2>3、新建物理数据模型</h2>
<p><img src="//images2015.cnblogs.com/blog/413851/201607/413851-20160730183357809-1038396606.jpg" /><img src="//images2015.cnblogs.com/blog/413851/201607/413851-20160730183407903-76851424.jpg" /><img src="//images2015.cnblogs.com/blog/413851/201607/413851-20160730183417091-1914444450.jpg" /><img src="//images2015.cnblogs.com/blog/413851/201607/413851-20160730183436716-1709648929.jpg" /></p>
<p>点击&ldquo;OK&rdquo;后，将会开始进行反转PD字典工作。</p>
<p><strong>PowerDesigner设计时表显示注释选项:</strong> 选定编辑的表,右键- &gt;Properties- &gt;Columns- &gt;Customize Columns and Filter(或直接用快捷键Ctrl+U)- &gt;Comment(前面打勾)- &gt;OK</p>
<p>如果出现错误&ldquo;[Microsoft][ODBC SQL Server Driver][SQL Server]无法预定义语句。 SQLSTATE = 37000&rdquo;</p>
<p>解决办法：选择菜单栏中的Database -&gt; Change Current DBMS ,给DBMS选择SQL Server2005。</p>
<h2>PowerDesigner常用快捷键</h2>
<p><strong>一般快捷键</p>
<p></strong><br />
F4&nbsp;&nbsp;  打开检查模型窗口,检查模型<br />
F5&nbsp;&nbsp;  如果图窗口内的图改变过大小,恢复为原有大小即正常大小<br />
F6&nbsp;&nbsp;  放大图窗口内的图<br />
F7&nbsp;&nbsp;  缩小图窗口内的图<br />
F8&nbsp;&nbsp;  在图窗口内中查看全部图内容<br />
F9&nbsp;&nbsp;  预览图窗口<br />
F10&nbsp;&nbsp;  在图窗口中以一幅视图的高度显示图Shift+单击对象&nbsp;&nbsp;  连续选择对象</p>
<p>alt+0&nbsp;&nbsp;  显示或隐藏浏览器窗口<br />
alt+1&nbsp;&nbsp;  显示或隐藏输出窗口<br />
alt+2&nbsp;&nbsp;  显示或隐藏结果列表窗口<br />
ctrl+双击或ctrl+"+"&nbsp;&nbsp;&nbsp;&nbsp;  打开包图<br />
ctrl+tab&nbsp;&nbsp;  在图窗口中切换大小,在文本中插入制表符或&nbsp;&nbsp;  在属性表窗口中切换标签页<br />
ctrl+page up/page down 在属性表标签页中切换标签页<br />
ctrl+移动窗口&nbsp;&nbsp;  禁止Docking特性<br />
ctrl+b&nbsp;&nbsp;  在浏览器窗口中查找对象<br />
ctrl+d&nbsp;&nbsp;  打开选择图窗口,选择图<br />
ctrl+e&nbsp;&nbsp;  打开报表列表窗口<br />
ctrl+f&nbsp;&nbsp;  打开查找对象窗口,查找对象<br />
ctrl+j&nbsp;&nbsp;  在对象符号中调整文本<br />
ctrl+F4&nbsp;&nbsp;  关闭当前图窗口<br />
ctrl+alt+F4&nbsp;&nbsp;  关闭模型<br />
ctrl+F6&nbsp;&nbsp;  在多个属性表窗口间切换<br />
ctrl+shift+F6&nbsp;&nbsp;  在多个属性表窗口间反向切换<br />
ctrl+u&nbsp;&nbsp;  回到父图<br />
shift+F2&nbsp;&nbsp;  打开Workspace<br />
shift+F3&nbsp;&nbsp;  保存Workspace<br />
shift+F4&nbsp;&nbsp;  关闭Workspace</p>
<p><strong>对象操作快捷键表</strong></p>
<p>Del&nbsp;&nbsp;  删除对象(需确认)<br />
shift+Del&nbsp;&nbsp;  删除对象(无需确认)<br />
alt+Enter&nbsp;&nbsp;  打开所选对象的属性表<br />
ctrl+k&nbsp;&nbsp;  粘贴为快捷方式<br />
ctrl+h&nbsp;&nbsp;  选择连接:水平连接<br />
ctrl+l&nbsp;&nbsp;  选择连接:垂直连接<br />
ctrl+改变大小&nbsp;&nbsp;  保持对象的中心改变对象大小<br />
ctrl+shift+改变大小 保持对象的中心改变对象大小,并保持与原对象的长宽比例</p>
<p><strong>工具面板快捷键表</strong></p>
<p>双击光标工具(Point) <br />
选择图中的所有符号或ctrl+a&nbsp;&nbsp;<br />
双击删除工具(Delete) 删除所有已选择的符号(需确认)<br />
双击移动工具(Grabber) 显示全局视图双击对象工具&nbsp;&nbsp;<br />
选择同类型的所有符号shift+双击对象工具 保持前一个选择,添加选择同类型的所有符号</p>
<p><strong>拖放快捷键表</strong></p>
<p>shift+移动项&nbsp;&nbsp;  移动符号<br />
ctrl+移动项&nbsp;&nbsp;  复制符号<br />
ctrl+shift+移动项 创建快捷方式列表窗口快捷键表<br />
F2&nbsp;&nbsp;  选择编辑的文本<br />
ctrl+shift+Space 选择当前行<br />
ctrl+a&nbsp;&nbsp;  选择所有行<br />
ctrl+shift+a&nbsp;&nbsp;  取消所有选择<br />
ctrl+n或ctrl+i&nbsp;&nbsp;  插入行<br />
ctrl+d&nbsp;&nbsp;  删除行</p>
<p><strong>浏览器窗口快捷键表</strong></p>
<p>*(小键盘)&nbsp;&nbsp;  展开活动浏览器中的所有节点<br />
+(小键盘)&nbsp;&nbsp;  展开活动浏览器中的子节点<br />
-(小键盘)&nbsp;&nbsp;  合拢活动浏览器中的所有节点<br />
F2&nbsp;&nbsp;  重命名<br />
ctrl+shift+f&nbsp;&nbsp;  在图中查找选择的对象</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 14:18:50 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>PowerDesigner从Sqlserver中反转为带注释的字典及快捷键操作的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AdqEv3.html" rel="bookmark">SqlServer中创建Oracle连接服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自太祖元年的:http://www.cnblogs.com/jirglt/archive/2012/06/10/2544025.html参考:http://down.51cto.com/data/910072SqlServer中创建Oracle连接服务器 第一种:界面操作 (1)展开服务器对象--&gt;链接服务器--&gt;右击“新建链接服务器”(2)输入链接服务器的IP (3)链接成功后 第二种:语句操作 注:需要提前安装Oracle客户端程序,重启机器.(如果没有Oracle客户端程序,提示“未找			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyoWje3.html" rel="bookmark">多线程中的生产者消费者Java源代码（带注释）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				同步解决了线程中数据存取不一致的问题,而Object类中的等待与唤醒方法解决了重复存取的问题 以下的生产者消费者Java源代码例子,很好的说明了这一点. 其中包括Info类.Producter类.Consumer类.Test类. &lt;1&gt; Info类如下: 1 package per.producterconsumer; 2 3 public class Info { 4 5 private boolean flag = true; 6 /* 7 * flag=true 表示此时可以生产,但不能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NApZw3.html" rel="bookmark">12V或24V直流电机正反转控制器带过流保护</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				12V或24V直流电机正反转控制带过载过流堵转保护器10A电流可调 直流电机正反转带过流保护控制器,保护电流0.2-10A可调,可以解决各种工具机械中电机堵转造成烧毁问题. 功能用途: 直流有刷电机正反转控制,过载过流堵转停机保护器,也可利用电机行走卡到位过载保护停机,代替行程限位开关的场合. 保护电流值可以在板子上调节,铜螺丝蓝色的电位器.0.2A-10A范围可调,建议不大于6A,这样可以延长寿命. 工作电压:可以选择12V 或 24V 此保护器模块具有A,B两种工作模式,两种工作模式通过短接			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AmQez4.html" rel="bookmark">带注释的汇编指令大全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.数据传输指令 ─────────────────────────────────────── 它们在存贮器和寄存器.寄存器和输入输出端口之间传送数据. 1. 通用数据传送指令. MOV 传送字或字节.  如:MOV eax,11  意思:eax=11 MOVSX 先符号扩展,再传送. MOVZX 先零扩展,再传送. PUSH 把字压入堆栈. POP 把字弹出堆栈. PUSHA 把AX,CX,DX,BX,SP,BP,SI,DI依次压入堆栈. POPA 把DI,SI,BP,SP,BX,DX,CX			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPZNbn3.html" rel="bookmark">SQLSERVER中的ALL、PERCENT、CUBE关键字、ROLLUP关键字和GROUPING函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:SQLSERVER中的ALL.PERCENT.CUBE关键字.ROLLUP关键字和GROUPING函数 SQLSERVER中的ALL.PERCENT.CUBE关键字.ROLLUP关键字和GROUPING函数 先来创建一个测试表 1 USE [tempdb] 2 GO 3 4 CREATE TABLE #temptb(id INT ,NAME VARCHAR(200)) 5 GO 6 7 INSERT INTO [#temptb] ( [id], [NAME] ) 8 SELECT 1,'中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l7depM.html" rel="bookmark">&lpar; 转&rpar;Sqlserver中tinyint&comma; smallint&comma; int&comma; bigint的区别 及 10进制转换16进制的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.类型比较 bigint:从-2^63(-9223372036854775808)到2^63-1(9223372036854775807)的整型数据,存储大小为 8 个字节.一个字节就是8位,那么bigint就有64位 int:从-2^31(-2,147,483,648)到2^31-1(2,147,483,647)的整型数据,存储大小为 4 个字节.int类型,最大可以存储32位的数据 smallint:从-2^15(-32,768)到2^15-1(32,767)的整数数据,存储大小为 2 个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41wm5g0.html" rel="bookmark">关于IRIS数据集的Python分析-一份带注释的代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				所有内容都在python源码和注释里,可运行! ########################### #说明: # 撰写本文的原因是,笔者在研究博文“http://python.jobbole.com/83563/”中发现 # 原内容有少量笔误,并且对入门学友缺少一些信息.于是笔者做了增补,主要有: # 1.查询并简述了涉及的大部分算法: # 2.添加了连接或资源供进一步查询: # 3.增加了一些lib库的基本操作及说明: # 4.增加了必须必要的python的部分语法说明: # 5.增加了对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RklB73.html" rel="bookmark">Sqlserver中存储过程，触发器，自定义函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Sqlserver中存储过程,触发器,自定义函数: 1. 触发器:是针对数据库表或数据库的特殊存储过程,在某些行为发生的时候就会被激活 触发器的分类: DML触发器:发生在数据操作语言执行时触发执行的存储过程,Insert,Update,Delete After触发器:记录被改变之后激活执行 Instead of触发器:记录被改变之前激活执行. DDL触发器:响应数据定义语言执行时触发执行的存储过程,一般用于执行数据库中的管理任务 审核和规范数据库的操作: 防止数据表结构被更改或删除 2. ht			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j9zgAM.html" rel="bookmark">sqlserver 中EXEC和sp&lowbar;executesql使用介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sqlserver 中EXEC和sp_executesql使用介绍 MSSQL为我们提供了两种动态执行SQL语句的命令,分别是EXEC和sp_executesql;通常,sp_executesql则更具有优势,它提供了输入输出接口,而EXEC没有.还有一个最大的好处就是利用sp_executesql,能够重用执行计划,这就大大提供了执行性能(对于这个我在后面的例子中会详加说明),还可以编写更安全的代码.EXEC在某些情况下会更灵活.除非您有令人信服的理由使用EXEC,否侧尽量使用sp_execu			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/W0jPyZ4.html" rel="bookmark" class="title">Linux 之HA集群酌置</a>
					<div>
						HA(高可用 High avaiilable)集群 Web1 提供服务,如果1主宕机了,2备就可以马上启用,这样有用户这端没有任何影响. 在架构的时候要配置一条心跳线来传递信息.流动IP 也是就是VI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXYjgV0.html" rel="bookmark" class="title">PC提示注册表找不到串口的解决办法</a>
					<div>
						有时在调试项目的时候会出现,找不到串口的问题,影响了相关调试,解决办法如下: 开始菜单--&gt;运行--&gt;输入:regedit: 打开注册表,依次找到HKEY_LOCAL_MACHINE\ha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02b8gA0.html" rel="bookmark" class="title">ACdreamoj 1011&lpar;树状数组维护字符串hash前缀和&rpar;</a>
					<div>
						题目链接:http://acdream.info/problem? pid=1019 题意:两种操作,第一种将字符串某个位置的字符换为还有一个字符.另外一种查询某个连续子序列是否是回文串: 解法:有两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pe7y8M.html" rel="bookmark" class="title">MySQL重复数据处理</a>
					<div>
						最近工作很忙,很久没写博客,嘻嘻!今天写一遍关于MySQL重复数据处理的博客!前不久有个开发问我,能不能把重复的数据去除,留下唯一的数据.然后我问他为什么有这么重复的数据呢,他说写了程序去爬数据,爬到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoGJqyM.html" rel="bookmark" class="title">家电讲冷笑话！</a>
					<div>
						  决定以后多发发笑话了,把我看到的搞笑的段子发发,愿能与广大同行一起乐一乐. 家电讲冷笑话 (作者: Frizzo) 主人家电器暴多,超过功率负荷不起了,于是需要销毁部分家电. 家电们聚到一起开会, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rErAw0.html" rel="bookmark" class="title">关键词高亮</a>
					<div>
						从网上找了个正则 &lt;html&gt; &lt;head&gt; &lt;style&gt;body {font:14px/18px Consolas;}&lt;/style&gt; &lt;/h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX7KeX4.html" rel="bookmark" class="title">Buy Nevada Fake ID the ideas and Buy Nevada Fakes</a>
					<div>
						A brief summary is a snippet made programmatically from a site. What on earth is several by using a  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBRK6ZM.html" rel="bookmark" class="title">Hadoop学习笔记：MapReduce框架详解</a>
					<div>
						原文出处: 夏天的森林 开始聊mapreduce,mapreduce是hadoop的计算框架,我学hadoop是从hive开始入手,再到hdfs,当我学习hdfs时候,就感觉到hdfs和mapredu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDnpgM.html" rel="bookmark" class="title">Android如何通过shareduserid获取系统权限</a>
					<div>
						转载:http://my.oschina.net/zhoulc/blog/119282 android会为每个apk进程分配一个单独的空间(比如只能访问/data/data/自己包名下面的文件),一般 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rkyr14.html" rel="bookmark" class="title">吓哭原生App的HTML5离线存储技术，却出乎意料的容易！【低调转载】</a>
					<div>
						吓哭原生App的HTML5离线存储技术,却出乎意料的容易![WeX5低调转载] 2015-11-16 lakb248 起步软件 近几天,WeX5小编编跟部分移动应用从业人士聊了聊,很多已经准备好全面拥 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBYaXZ4.html" rel="bookmark" class="title">开源（免费）三维 GIS&lpar;地形，游戏&rpar;</a>
					<div>
						先写想法: 想做个简单的地形漫游,于是考虑在ww直接开发,或找个控件形式的开发组件. 最大的期望有: 1. 支持google的sketchup,快速智能三维建模 2. 设计模式做好点,最好先做成组件形 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a1RrA0.html" rel="bookmark" class="title">PHP基础总结&mdash;&mdash;数组</a>
					<div>
						索引数组:带有数字索引的数组 初始化数组 $arr = array('value1','value2','value3'); $arr = ['value1','value2','value3'];  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02yjWaM.html" rel="bookmark" class="title">ajax 异步请求</a>
					<div>
						&lt;script type=&quot;text/javascript&quot; &gt; var http_request = false; function send_request(url ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YqeNX0.html" rel="bookmark" class="title">eclipse添加辅助线&comma;配合代码格式化使用</a>
					<div>
						eclipse添加辅助线,配合代码格式化使用					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLvBxQ3.html" rel="bookmark" class="title">深度学习-网络调参技巧</a>
					<div>
						最近在做深度学习实验,跑一次实验轻则以小时计.重则以天计,实在没有那么多的时间可以等待,因此想想用尽可能少的实验次数,得到尽可能好的实验效果.这样的话,问题就可以归结为如何设计合适的网络结构.如何设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OnO1K0.html" rel="bookmark" class="title">Jsp--9大内置对象</a>
					<div>
						JSP为了简化开发,提供了一些内置对象,用来实现很多JSP的应用. 在JSP中一共预先定义了9个这样的内置对象,分别为,request,response,session,application,out ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xexXN3.html" rel="bookmark" class="title">Map 转换成byte&lbrack;&rsqb; 数组</a>
					<div>
						把Map转换成byte数组,使用 ByteArrayOutputStream和ObjectOutputStream Map&lt;String,String&gt; map = new HashMap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPeyBy0.html" rel="bookmark" class="title">My third homework</a>
					<div>
						题目要求 定义一个包含有10个整数的数组a并初始化,定义一个指针变量p,p指向数组a,定义函数fun,要求在fun内部访问数组,并打印出数组中各元素的值,要求在fun函数内不要出现数字10. 代码:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02XxLA4.html" rel="bookmark" class="title">Google Go Programming In Eclipse</a>
					<div>
						http://www.tutorialsavvy.com/2013/04/google-go-programming-in-eclipse.html/ Google Go Programming In ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBnAGAM.html" rel="bookmark" class="title">续Gulp使用入门编译Sass</a>
					<div>
						使用 gulp 编译 Sass Sass 是一种 CSS 的开发工具,提供了许多便利的写法,大大节省了开发者的时间,使得 CSS 的开发,变得简单和可维护. 安装 npm install gulp-s ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
